routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*-------------------------------------- SLIDE CARROSSEL ------------------------------------------------------------------*/

Route::get('/', function () {
    $slides = [
        (object)[
            'titulo'=> 'DISCIPLINA',
            'descricao'=>'Respeito a hierarquia e aos valores familiares',
            'url'=> '#link',
            'imagem'=> 'imagens/slide/photo01.jpg'
        ],

        (object)[
            'titulo'=> 'ENSINO',
            'descricao'=>'Construindo cidadões que amam e valorizam sua patria',
            'url'=> '#link',
            'imagem'=> 'imagens/slide/photo02.jpg'
        ],

        (object)[
            'titulo'=> 'CULTURA',
            'descricao'=>'Para transformar e mudar, trazendo alegria e conhecimento',
            'url'=> '#link',
            'imagem'=> 'imagens/slide/photo03.jpg'
        ]
    ];
    return view('dashboard.index', compact('slides'));
});

/*-------------------------------------------------------------------------------------------------------------------------*/

Auth::routes();

Route::group(['middleware' => 'auth','prefix' => 'admin'], function () {


  /*--------------------- ROTAS DE USUARIO --------------------------------------------------------------------------------*/
  
  Route::get('/', 'Admin\AdminController@index');
  Route::resource('usuarios', 'Admin\UsuarioController');

  Route::get('usuarios/papel/{id}', ['as'=>'usuarios.papel','uses'=>'Admin\UsuarioController@papel']);
  Route::post('usuarios/papel/{papel}', ['as'=>'usuarios.papel.store','uses'=>'Admin\UsuarioController@papelStore']);
  Route::delete('usuarios/papel/{usuario}/{papel}', ['as'=>'usuarios.papel.destroy','uses'=>'Admin\UsuarioController@papelDestroy']);


 /*-------------------------------------------------------------------------------------------------------------------------*/


  /*--------------------- ROTAS DE PAPEIS --------------------------------------------------------------------------------*/

  Route::resource('papeis', 'Admin\PapelController');  
  
  Route::get('papeis/permissao/{id}', ['as'=>'papeis.permissao','uses'=>'Admin\PapelController@permissao']);
  Route::post('papeis/permissao/{permissao}', ['as'=>'papeis.permissao.store','uses'=>'Admin\PapelController@permissaoStore']);
  Route::delete('papeis/permissao/{papel}/{permissao}', ['as'=>'papeis.permissao.destroy','uses'=>'Admin\PapelController@permissaoDestroy']);


  /*-------------------------------------------------------------------------------------------------------------------------*/


  /*--------------------- ROTAS DE MATRICULA --------------------------------------------------------------------------------*/

  Route::resource('matricula', 'MatriculaController');

  Route::get('matricula/listar/alunoscadastrados',['as'=>'matricula.lista','uses'=> 'MatriculaController@lista']);
  Route::get('matricula/Dados/{id}',['as'=>'matricula.vermais','uses'=>'MatriculaController@vermais']); 
  Route::post('matricula/listar/alunoscadastrados/busca',['as'=>'matricula.buscar','uses'=> 'MatriculaController@busca']);


  /*-----------------------ROTAS DE TESTES---------------------------------------------------------------*/

  //Route::get('matricula/create',['as'=>'matricula.create','uses'=>'MatriculaController@create']);
  //Route::post('matricula/cadastrar',['as'=>'matricula.store','uses'=>'MatriculaController@store']);

  /*------------------------------------------------------------------------------------------------------*/

  
  /*--------------------- ROTAS DE PRÉ MATRICULA ------------------------------------------------------------*/

    Route::get('/prematricula/inicio',['as'=>'prematricula.index','uses'=>'PreMatriculaController@index']);
    Route::post('/prematricula/salvar',['as'=>'prematricula.store','uses'=>'PreMatriculaController@store']);
    Route::get('/prematricula/{id}/comprovantepdf',['as'=>'prematricula.gerarpdf','uses'=>'PDFController@gerarpdf']);

  /*-----------------------------------------------------------------------------------------------------------*/

  /*------------------------ROTAS DE ANOTAÇÕES----------------------------------------------------------------*/
    Route::get('renovacao/inicio',['as'=>'renovacao.teste','uses'=>'RenovacaoController@listardados']);
    Route::post('renovacao/salvar',['as'=>'renovacao.store','uses'=>'RenovacaoController@store']);
	
    


  /*-----------------------------------------------------------------------------------------------------------*/
	
  /*-----------------------ROTAS DE RELATORIOS---------------------------------------------------------------*/

  Route::get('relatorios/inicio',['as'=>'relatorios.index','uses'=>'RelatorioController@index']);
  Route::get('relatorios/lista/Prematricula',['as'=>'relatorios.lista','uses'=> 'RelatorioController@listaPrematricula']);
  Route::post('relatorios/lista/cadastrados/busca-prematricula',['as'=>'relatorio.prematricula.buscar','uses'=> 'RelatorioController@BuscarAluno']);
  Route::get('relatorios/lista/Matriculados',['as'=>'relatorios.lista.matriculados','uses'=> 'RelatorioController@listaMatricula']);
  Route::post('relatorios/lista/matricula/busca-matricula',['as'=>'relatorio.matricula.buscar','uses'=> 'RelatorioController@buscaMatricula']);
  Route::get('relatorios/lista/prematricula/deletecadastro/{id}',['as'=>'relatorio.prematricula.destroy','uses'=>'RelatorioController@destroy']);
  Route::get('relatorios/lista/Renovacao',['as'=>'relatorio.renovacao.lista','uses'=> 'RelatorioController@listaRenovacao']);
  Route::get('relatorios/lista/Renovacao/visualizar-dados/{id}',['as'=>'renovacao.edit','uses'=>'RelatorioController@editrenovacao']);
  Route::put('relatorios/lista/Renovacao/atualizar-dados/{id}',['as'=>'renovacao.update','uses'=>'RelatorioController@update']);
  Route::get('relatorios/lista/renovacao/delete/{id}',['as'=>'relatorio.renovacao.destroy','uses'=>'RelatorioController@renovacaoDestroy']);
  

  /*------------------------------------------------------------------------------------------------------*/


  /*------------------------ROTAS DE ANOTAÇÕES----------------------------------------------------------------*/
  
  Route::get('anotacao/inicio',['as'=>'anotacao.index','uses'=>'AnotacaoController@index']);
  Route::get('anotacao/adicionar',['as'=>'anotacao.adicionar','uses'=>'AnotacaoController@create']);
  Route::post('anotacao/salvar',['as'=>'anotacao.store','uses'=>'AnotacaoController@store']);
  Route::get('anotacao/listar-anotações',['as'=>'anotacao.listar','uses'=> 'AnotacaoController@listaAnotacao']);
  Route::get('anotacao/lista/visualizar-dados/{id}',['as'=>'anotacao.edit','uses'=>'AnotacaoController@edit']);
  Route::put('anotacao/lista/atualizar-dados/{id}',['as'=>'anotacao.update','uses'=>'AnotacaoController@update']);
  Route::get('anotacao/lista/deleteanotacao/{id}',['as'=>'anotacao.destroy','uses'=>'AnotacaoController@destroy']);

  /*------------------------------------------------------------------------------------------------------*/
  
  /*----------------------- ROTAS DE PERFIL ----------------------------------------------------------------------*/

	Route::get('perfil/atualizar', ['as'=>'perfil.index','uses'=>'Site\SiteController@perfil']);
    Route::put('perfil/atualizar', ['as'=>'perfil.index.update','uses'=>'Site\SiteController@perfilUpdate']);

    /*-----------------------------------------------------------------------------------------------------------*/
	
	
	Route::get('pdf', 'PDFController@gerarpdf');

    //Route::get('', 'RelatorioController@listardados');
});

app/Http/Controllers/Admin/UsuarioController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\User;
use App\Papel;
use Illuminate\Support\Facades\Gate;
class UsuarioController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        
        if(Gate::denies('usuario-view')){
            return view('dashboard.sempermissao');
        }
        
        $usuarios = User::all();
        $caminhos = [
            ['url'=>'/admin','titulo'=>'Tela Principal'],
            ['url'=>'','titulo'=>'Usuários'],
            
        ];
        return view('admin.usuarios.index',compact('usuarios','caminhos'));
    }

    public function papel($id)
    {
        
      if(Gate::denies('usuario-edit')){
            return view('dashboard.sempermissao');
        }
       
      $usuario = User::find($id);
      $papel = Papel::all();
      $caminhos = [
          ['url'=>'/admin','titulo'=>'Tela Principal'],
          ['url'=>route('usuarios.index'),'titulo'=>'Usuários'],
          ['url'=>'','titulo'=>'Papel'],
      ];
      return view('admin.usuarios.papel',compact('usuario','papel','caminhos'));
    }

    public function papelStore(Request $request,$id)
    {
       
        if(Gate::denies('usuario-edit')){
            return view('dashboard.sempermissao');
        }
        
        $usuario = User::find($id);
        $dados = $request->all();
        $papel = Papel::find($dados['papel_id']);
        $usuario->adicionaPapel($papel);
        return redirect()->back();
    }

    public function papelDestroy($id,$papel_id)
    {
      
        if(Gate::denies('usuario-edit')){
            return view('dashboard.sempermissao');
        }
       
      $usuario = User::find($id);
      $papel = Papel::find($papel_id);
      $usuario->removePapel($papel);
      return redirect()->back();
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       
        if(Gate::denies('usuario-create')){
            return view('dashboard.sempermissao');
        }
       
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        
        if(Gate::denies('usuario-edit')){
            abort(403,"Acesso não autorizado");
        }
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        
        if(Gate::denies('usuario-edit')){
            abort(403,"Acesso não autorizado");
        }
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        if(Gate::denies('usuario-delete')){
            return view('dashboard.sempermissao');
        }
        
         User::find($id)->delete();
        return redirect()->route('usuarios.index');
        
    }
}

resources/views/admin/usuarios/index.blade.php
@extends('layouts.app')
@section('content')
<div class="container">
    <h5 class="center">Painel Usuários</h5>
    @include('admin._caminho')
    <div class="row">
	<div class="card-panel white">
        <table>
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Nome</th>
                    <th>E-mail</th>
					<th>Papel</th>
                    <th>Ação</th>
                </tr>
            </thead>
            <tbody>
                @foreach($usuarios as $usuario)
                <tr>
                    <td>{{ $usuario->id }}</td>
                    <td>{{ $usuario->name }}</td>
                    <td>{{ $usuario->email }}</td>
                    
					<?php $papeis = $usuario->papeis()->get(); ?>
					@foreach($papeis as $papel)
					<td>{{$papel->nome}}</td>
					@endforeach
					<td>
						<form action="{{route('usuarios.destroy',$usuario->id)}}" method="post">
							<a title="Papel" class="btn blue" href="{{route('usuarios.papel',$usuario->id)}}"><i class="material-icons">visibility</i></a>				
							@can('usuario-delete')
								{{ method_field('DELETE') }}
								{{ csrf_field() }}
							<button title="Deletar" class="btn red"><i class="material-icons">delete</i></button>
							@endcan

						</form>
					</td>
                </tr>
                @endforeach
            </tbody>
        </table>

    </div>
	</div>

</div>

@endsection

resources/views/admin/usuarios/papel.blade.php
@extends('layouts.app') @section('content')
<div class="container">
    <h5 class="center">Lista de Papéis para {{$usuario->name}}</h5>

    @include('admin._caminho')

    <div class="row">
        <form action="{{route('usuarios.papel.store',$usuario->id)}}" method="post">
            {{ csrf_field() }}
            <div class="input-field">
                <select name="papel_id">
                    @foreach($papel as $valor)
                    <option value="{{$valor->id}}">{{$valor->nome}}</option>
                    @endforeach
                </select>
            </div>
            <button class="btn blue">Adicionar</button>
        </form>


    </div>

    <div class="row">
        <table>
            <thead>
                <tr>

                    <th>Papel</th>
                    <th>Descrição</th>
                    <th>Ação</th>
                </tr>
            </thead>
            <tbody>
                @foreach($usuario->papeis as $papel)
                <tr>
                    <td>{{ $papel->nome }}</td>
                    <td>{{ $papel->descricao }}</td>

                    <td>

                        <form action="{{route('usuarios.papel.destroy',[$usuario->id,$papel->id])}}" method="post">
                            {{ method_field('DELETE') }} {{ csrf_field() }}
                            <button title="Deletar" class="btn red">
                                <i class="material-icons">delete</i>
                            </button>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>

    </div>

</div>

@endsection